@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';



@import "../support/_adaptivesearchbackoffice_variables.scss";


/* Edit-Popup */
.yas-facet-values-panel {
  .yas-actions.z-listcell {
      text-align: right;

      .yas-actions-button.z-button {
          background: transparent;
          color: $adaptiveSearchBackoffice__actions-button--color;
          font-size: $adaptiveSearchBackoffice__actions-button--font-size;

  		&,
          &:focus,
          &:hover,
          &:active {
              box-shadow: none;
          }
      }
      .z-listcell-content {
      	padding-top: 0;
      	padding-bottom: 0;
      }
  }

  .yas-facet-value.z-listitem,
  .yas-sticky.z-listitem {
  	.yas-facet-value-count,
  	.yas-facet-value-name,
  	.z-label {
  		margin-bottom: 0;
  	}
  	.z-listcell-content {
  		padding-left: $adaptiveSearchBackoffice__facet-list-content--padding-left;
  	}
  	.yas-facet-value-name {
  		margin-right: $adaptiveSearchBackoffice__facet-list-value-name--margin-right;
  	}
  }

  .yas-sticky.z-listitem,
  tr.yas-sticky.z-listitem {
  	&,
  	&-selected,
  	&-selected.z-listitem {
  		&,
  		&:hover,
  		&:focus,
  		&:active {
  			background-color: transparent;
  			border-top-color: transparent;
  		}
  	}
  }

  .yas-sticky.z-listitem {
  	&,
  	.z-listcell-content {
  		cursor: not-allowed;
  	}

  	&,
  	&-selected {
  		&,
  		&:hover,
  		&:focus,
  		&:active{
  			.z-listcell {
  			    background-color: $adaptiveSearchBackoffice__facet-list-updated-item--bg-color;
  			    border-color: $adaptiveSearchBackoffice__facet-list-updated-item--border-color;
  			}
  		}
  		.yas-facet-value-count,
  		.yas-facet-value-name,
  		.z-label {
  			color: $adaptiveSearchBackoffice__facet-list-updated-item--color;
  		}
  	}
  }
}
